Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.context.symbol.internal.provisional
Interface IMethodSymbol

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, ISymbol, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  IBeanMethodSymbol

public interface IMethodSymbol
extends ISymbol

A representation of the model object 'IMethod Symbol'.

The following features are supported:

- `Signature`

See Also:
  `SymbolPackage.getIMethodSymbol()`

Field Summary
`static java.lang.String` | `copyright`

Fields inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.ISymbol
`EMPTY_SYMBOL_ARRAY`

Method Summary
`java.lang.String` | `getSignature()` Returns the value of the 'Signature' attribute.
`void` | `setSignature(java.lang.String value)` Sets the value of the '`Signature`' attribute.

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.ISymbol
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getSignature

    public java.lang.String getSignature()

  Returns the value of the 'Signature' attribute.

  If the meaning of the 'Signature' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Signature' attribute.
  See Also:
    `setSignature(String)`, `SymbolPackage.getIMethodSymbol_Signature()`

### setSignature

    public void setSignature(java.lang.String value)

  Sets the value of the '`Signature`' attribute.

  Parameters:
    `value` - the new value of the 'Signature' attribute.
  See Also:
    `getSignature()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD